## Revoke

**post** `/compute/v1/admin/api-keys/{api_key_id}/revoke`

Revoke an API key

### Path Parameters

- `api_key_id: string`

### Returns

- `id: string`

  API key ID

- `allowed_ips: array of string`

  IP addresses allowed to use this key. An empty array means all IPs are allowed.

- `created_at: string`

- `expires_at: string`

  When the key expires. Null if the key does not expire.

- `is_active: boolean`

- `key_prefix: string`

  First 12 characters of the key

- `key_type: "admin" or "workspace"`

  - `"admin"`

  - `"workspace"`

- `last_used_at: string`

- `livemode: boolean`

  Whether this is a live API key (false for test keys).

- `name: string`

  API key name

- `workspace_id: string`

  Workspace ID if workspace-scoped

### Example

```http
curl https://api.boltz.bio/compute/v1/admin/api-keys/$API_KEY_ID/revoke \
    -X POST \
    -H "x-api-key: $BOLTZ_API_KEY"
```
